await seam.actionAttempts.list({
action_attempt_ids: [
"5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",
"3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",
],
});
/*
[
{
"action_attempt_id": "5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",
"action_type": "UNLOCK_DOOR",
"error": null,
"result": {
"was_confirmed_by_device": false
},
"status": "success"
},
{
"action_attempt_id": "3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",
"action_type": "LOCK_DOOR",
"error": null,
"result": {},
"status": "success"
}
]
*/{
"action_attempts": [
{
"action_attempt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action_type": "<string>",
"status": "pending",
"result": {},
"error": {
"type": "<string>",
"message": "<string>"
}
}
],
"pagination": {
"has_next_page": true,
"next_page_cursor": "<string>",
"next_page_url": "<string>"
}
}Action Attempts
List Action Attempts
Returns a list of the action attempts that you specify as an array of action_attempt_ids.
GET
/
action_attempts
/
list
await seam.actionAttempts.list({
action_attempt_ids: [
"5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",
"3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",
],
});
/*
[
{
"action_attempt_id": "5f4e3d2c-1b0a-9f8e-7d6c-5b4a3c2d1e0f",
"action_type": "UNLOCK_DOOR",
"error": null,
"result": {
"was_confirmed_by_device": false
},
"status": "success"
},
{
"action_attempt_id": "3f2b1c8d-1b5e-4f8c-9c7d-9a8b7c6d5e4f",
"action_type": "LOCK_DOOR",
"error": null,
"result": {},
"status": "success"
}
]
*/{
"action_attempts": [
{
"action_attempt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action_type": "<string>",
"status": "pending",
"result": {},
"error": {
"type": "<string>",
"message": "<string>"
}
}
],
"pagination": {
"has_next_page": true,
"next_page_cursor": "<string>",
"next_page_url": "<string>"
}
}Authorizations
api_keypat_with_workspaceconsole_session_with_workspacesupport_read_only_token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
IDs of the action attempts that you want to retrieve.
ID of the device to filter action attempts by.
Maximum number of records to return per page.
Required range:
x > 0Identifies the specific page of results to return, obtained from the previous page's next_page_cursor.
Was this page helpful?